from machine import UART
from micropyGPS import MicropyGPS
import utime, gc, _thread

uart = UART(2, rx=13, tx=12, baudrate=9600, bits=8, parity=None, stop=1, timeout=200, buffer_size=256, lineend='\r\n') #doit.am board
my_gps = MicropyGPS(local_offset=0, location_formatting='ddm')

def test():
    n = 0
    mem_free = gc.mem_free()
    tm_last = 0
    uart.flush()

    while True:
        len = uart.any()
        if len>0:
            b = uart.read(len)
            n += 1
            for z in b:
                print('{}'.format(chr(z)) , end='')
            for x in b:
                # stat = my_gps.update(chr(x))
                _k = chr(ord(chr(x))) # dumb code

            if (n % 5) == 0:
                utime.sleep_ms(100)

            if (n % 200) == 0:
                utime.sleep_ms(100)
                print("\n\nn:{:04} Mem free:{:06}/{:06}\n\n".format(n, gc.mem_free(), mem_free - gc.mem_free() ), end='' )
                gc.collect()
                utime.sleep_ms(200)
        else:
            utime.sleep_ms(200)

testth=_thread.start_new_thread("GPS", test, ())

